Skip to content
GET /unified/marketing-automation/contacts/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspaceobject

The workspace associated with the segment

1 supported1 required
Beehiiv
required
idstring

The workspace's unique identifier

list_id
1 supported1 required
Mailchimp
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The contact's unique identifier

10 supported
ActiveCampaign
supported
Beehiiv
supported
Brevo
supported
Constant Contact
supported
ConvertKit
supported
Flodesk
supported
GetResponse
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
addressesobject[]

The contact's addresses

4 supported
Constant Contact
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
citystring

The contact's city

countrystring

The contact's country

postal_codestring

The contact's postal code

statestring

The contact's state

street_1string

The contact's first line of street address

street_2string

The contact's second line of street address

typestring

The address type

created_atstring · date-time

The date and time of the contact's creation

9 supported
ActiveCampaign
supported
Beehiiv
supported
Brevo
supported
Constant Contact
supported
ConvertKit
supported
Flodesk
supported
GetResponse
supported
Highlevel
supported
Klaviyo
supported
emailstring

The contact's email

10 supported
ActiveCampaign
supported
Beehiiv
supported
Brevo
supported
Constant Contact
supported
ConvertKit
supported
Flodesk
supported
GetResponse
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
first_namestring

The contact's first name

8 supported
ActiveCampaign
supported
Brevo
supported
Constant Contact
supported
ConvertKit
supported
Flodesk
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
last_namestring

The contact's last name

7 supported
ActiveCampaign
supported
Brevo
supported
Constant Contact
supported
Flodesk
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
listsobject[]

The lists that the contact is subscribed to

References: Lists → id
2 supported
Brevo
supported
Constant Contact
supported
idstring

The list's unique identifier

namestring

The contact's full name

8 supported
ActiveCampaign
supported
Beehiiv
supported
Brevo
supported
Constant Contact
supported
Flodesk
supported
GetResponse
supported
Highlevel
supported
Mailchimp
supported
phonesobject[]

The contact's phone numbers

6 supported
ActiveCampaign
supported
Brevo
supported
Constant Contact
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
phonestring

The phone number

typestring

The phone number type

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The contact's subscription status

6 supported
Beehiiv
supported
Brevo
supported
Constant Contact
supported
ConvertKit
supported
Flodesk
supported
Mailchimp
supported
tagsobject[]

The contact's tags

References: Tags → id
5 supported
ActiveCampaign
supported
Beehiiv
supported
Constant Contact
supported
Highlevel
supported
Mailchimp
supported
idstring

The tag's unique identifier

namestring

The tag's name

updated_atstring · date-time

The date and time of the contact's last update

6 supported
ActiveCampaign
supported
Brevo
supported
Constant Contact
supported
Highlevel
supported
Klaviyo
supported
Mailchimp
supported
curl -X GET 'https://api.truto.one/unified/marketing-automation/contacts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/marketing-automation/contacts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/marketing-automation/contacts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'marketing-automation',
  'contacts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "marketing-automation",
        "contacts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())